@use '../../stylesheets/core/placeholders/input';

.rui-dropdown {
  position: relative;
  display: inline-block;
  text-align: left;

  &__trigger {
    display: flex;
    width: 100%;
    align-items: center;
    cursor: context-menu;
    gap: var(--spacer-small);
    white-space: pre;

    // Arrow
    &__icon,
    &::after {
      flex-grow: 1;
      color: var(currentColor);
      justify-self: end;
      opacity: 0.5;
      text-align: right;
    }

    &::after {
      padding-right: var(--spacer-tiny);
      padding-left: var(--spacer-small);
      content: '▾';
    }

    // No arrow with custom arrow
    &--custom-arrow {
      &::after{
        display: none;
      }
    }
  }

  &__content {
    position: absolute;
    z-index: var(--z-index-navbar);
  }

  // Display as block
  &--block {
    width: 100%;

    .rui-dropdown__trigger {
      width: 100%;

      .rui-button__text {
        flex-grow: 1;
      }
    }

    .rui-dropdown__content {
      width: 100%;
    }
  }

  // Aligns menu on the right of the trigger
  &--right {
    .rui-dropdown__content {
      right: 0;
    }
  }

  // Makes the menu wider
  &--wide {
    .rui-dropdown__content {
      min-width: 20rem;
      max-width: 80vw;
    }
  }

  // Make it look like a "select" input
  &--select-like {
    .rui-dropdown__trigger {
      @extend %input;

      background-color: var(--state-color-green);
      color: var(--state-color-green-alt);
      font-variant: none;
    }
  }

  &--no-caption {
    .rui-dropdown__trigger::after {
      display: none;
    }
  }
}

// Dropdown in a toolbar
.rui-toolbar {
  .rui-dropdown {
    border-radius: 0;

    &:first-child {
      .rui-dropdown__trigger {
        border-bottom-left-radius: var(--border-radius);
        border-top-left-radius: var(--border-radius);
      }
    }

    &:last-child {
      .rui-dropdown__trigger {
        border-bottom-right-radius: var(--border-radius);
        border-top-right-radius: var(--border-radius);
      }
    }
  }

  // When dropdown is the last item before the extra help slot
  &--has-right-content {
    > .rui-dropdown:nth-last-child(2) {
      > .rui-dropdown__trigger {
        border-bottom-right-radius: var(--border-radius);
        border-top-right-radius: var(--border-radius);
      }
    }
  }
}
